Skip to main content
POST
/
v1
/
cards
/
:id
/
retry-issue
curl -X POST https://api.usenaive.ai/v1/cards/card-uuid-1/retry-issue \
  -H "Authorization: Bearer nv_sk_live_..."
{
  "card": {
    "id": "card-uuid-1",
    "name": "Marketing Card",
    "provider": "stripe_issuing",
    "status": "active",
    "spending_limit_cents": 5000,
    "balance_cents": 5000,
    "created_at": "2026-03-01T10:00:00Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://usenaive.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Retries card issuance for cards that are in issuing_failed status. This is only applicable when payment succeeded but the card failed to be issued by the provider.
curl -X POST https://api.usenaive.ai/v1/cards/card-uuid-1/retry-issue \
  -H "Authorization: Bearer nv_sk_live_..."
{
  "card": {
    "id": "card-uuid-1",
    "name": "Marketing Card",
    "provider": "stripe_issuing",
    "status": "active",
    "spending_limit_cents": 5000,
    "balance_cents": 5000,
    "created_at": "2026-03-01T10:00:00Z"
  }
}

Error Response

If the card is not in issuing_failed status:
{
  "error": "Card is not in issuing_failed status",
  "status": "active"
}

CLI

naive cards retry-issue <id>

MCP

Tool: naive_cards_retry_issue
{
  "card_id": "card-uuid-1"
}